import request from '@/utils/request'

// 补货首页
export function supplyPage(data) {
	return request({
		url: '/goods/merc-mini/goodsDevice/supplyPage',
		method: 'post',
		data: data
	})
}

//补货删除
export function delGoods(data) {
	return request({
		url: '/goods/merc-mini/goodsDevice/delGoods',
		method: 'post',
		data: data
	})
}
// 补货保存
export function save(data) {
	return request({
		url: '/merc/mini/mercSupply/save',
		method: 'post',
		data: data
	})
}
// 一键开柜
export function saveByOpenDoor(data) {
	return request({
		url: '/merc/mini/mercSupply/saveByOpenDoor',
		method: 'post',
		data: data
	})
}

//补货记录分页查询
export function page(data) {
	return request({
		url: '/merc/mini/mercSupply/page',
		method: 'post',
		data: data
	})
}
//补货记录对象查询
export function obj(data) {
	return request({
		url: '/merc/mini/mercSupply/obj',
		method: 'post',
		data: data
	})
}

// 效验
export function check(data) {
	return request({
		'url': '/order/activity-info/check',
		'method': 'post',
		'data': data
	})
}
// 按线路+商品分组 
export function stockByLineAndGoods(data) {
	return request({
		'url': '/goods/merc-mini/stockData/stockByLineAndGoods',
		'method': 'post',
		'data': data
	})
}

// 按设备+商品分组 
export function stockByDeviceAndGoods(data) {
	return request({
		'url': '/goods/merc-mini/stockData/stockByDeviceAndGoods',
		'method': 'post',
		'data': data
	})
}

// 按设备分组 
export function stockByDevice(data) {
	return request({
		'url': '/goods/merc-mini/stockData/stockByDevice',
		'method': 'post',
		'data': data
	})
}

// 按商品分组 
export function stockByGoods(data) {
	return request({
		'url': '/goods/merc-mini/stockData/stockByGoods',
		'method': 'post',
		'data': data
	})
}

// 按线路分组 
export function stockByLine(data) {
	return request({
		'url': '/goods/merc-mini/stockData/StockByLine',
		'method': 'post',
		'data': data
	})
}

// 补货首页全部列表
export function deviceStockList(data) {
	return request({
		'url': '/goods/merc-mini/goodsDevice/deviceStockList',
		'method': 'post',
		'data': data
	})
}

// 补货首页缺货列表
export function deviceStockOutList(data) {
	return request({
		'url': '/goods/merc-mini/goodsDevice/deviceStockOutList',
		'method': 'post',
		'data': data
	})
}

// 补货首页缺货列表
export function create(data) {
	return request({
		'url': '/order/activity-info/create',
		'method': 'post',
		'data': data
	})
}

// 库存详情设备
export function stockByDeviceDetail(data) {
	return request({
		'url': '/goods/merc-mini/stockData/stockByDeviceDetail',
		'method': 'post',
		'data': data
	})
}

// 库存详情商品
export function stockByGoodsDetail(data) {
	return request({
		'url': '/goods/merc-mini/stockData/stockByGoodsDetail',
		'method': 'post',
		'data': data
	})
}






